net.dontdrinkandroot.wicket.model

## Class AbstractChainedInjectedModel<P,T>

- java.lang.Object
- - net.dontdrinkandroot.wicket.model.AbstractInjectedModel<T>
  - - net.dontdrinkandroot.wicket.model.AbstractChainedInjectedModel<P,T>

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<T>, org.apache.wicket.util.io.IClusterable

    public abstract class AbstractChainedInjectedModel<P,T>
    extends AbstractInjectedModel<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractChainedInjectedModel(org.apache.wicket.model.IModel<? extends P> parent)`

### Method Summary

Methods
`void` `detach()`
`org.apache.wicket.model.IModel<? extends P>` `getParent()`
`P` `getParentObject()`
`void` `setObject(T object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wicket.model.IModel

`getObject`

### Constructor Detail

#### AbstractChainedInjectedModel

    public AbstractChainedInjectedModel(org.apache.wicket.model.IModel<? extends P> parent)

### Method Detail

#### detach

    public void detach()

#### getParent

    public org.apache.wicket.model.IModel<? extends P> getParent()

#### getParentObject

    public P getParentObject()

#### setObject

    public void setObject(T object)